/*
  Calisto - An internet Talker
  Copyright (C) 1998-2001 Peter Howkins, Matthew Howkins and Simon Howkins

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,     
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License   
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

  Email: calisto@calisto.cx

  $Id: colours.h,v 1.3 2000/12/29 20:50:28 peter Exp $

 */

#ifndef __colours_h
#define __colours_h

#include <stdarg.h>
#include <stddef.h>

int cvsprintf(char *buf, const char *fmt, va_list ap);
int csprintf(char *buf, const char *fmt, ...);
int cvprintf(const char *fmt, va_list ap);
int cprintf(const char *fmt, ...);
void stripCodes(char *dest, const char *src);

int cvsnprintf(char *buf, size_t size, const char *fmt, va_list ap);
int csnprintf(char *buf, size_t size, const char *fmt, ...);

#endif
